Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 515 - Doing "hwclock --adjust" in rc.sysinit would be a good idea.
Summary: Doing "hwclock --adjust" in rc.sysinit would be a good idea.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-18 12:35 UTC by Göran Uddeborg
Modified: 2014-03-17 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-12-15 22:04:46 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 1998-12-18 12:35:16 UTC
According to the hwclock manual page:

It is good to do a hwclock --adjust just before the hwclock
--hctosys at system startup time ...

That makes sense.  Why not add that to rc.sysinit, if
/sbin/hwclock is found?

Comment 1 David Lawrence 1998-12-22 21:29:59 UTC
This change request has been assigned to a developer for further
review.

Comment 2 nealmcb 1999-01-25 04:58:59 UTC
I agree with this bug report.
-Neal McBurnett

Comment 3 Bill Nottingham 1999-02-05 17:34:59 UTC
fixed in initscripts-3.84.

Comment 4 Göran Uddeborg 2000-12-15 21:56:15 UTC
This was fixed. But in initscripts 5.49 the fix is gone again.  Is this by
design or by mistake?

Comment 5 Bill Nottingham 2000-12-15 22:04:42 UTC
Design. We had it in place for a while, and there were many reports
of it doing odd things with clocks.

The current initscripts sets the hardware clock on shutdown as
well as reading it on startup, so it should be kept relatively
in sync.

Comment 6 Göran Uddeborg 2000-12-16 19:26:25 UTC
Ok.  It won't be as good if the machine is only up for short times and then down
for long.  But if the other solution was causing other problems, I guess it's
better than nothing.


Note You need to log in before you can comment on or make changes to this bug.